Skip to main content
`Ctrl`+`K`

# DMForestGetMinimumRefinement

Get the minimum level of refinement (relative to the base `DM`, see `DMForestGetBaseDM()`) allowed in the forest. If the forest is being created by coarsening a previous forest (see `DMForestGetAdaptivityForest()`), this limits the amount of coarsening.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetMinimumRefinement(DM dm, PetscInt *minRefinement)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- minRefinement - default `PETSC_DEFAULT` (interpreted by the subtype of `DMFOREST`)

## See Also

`DM`, `DMFOREST`, `DMForestSetMinimumRefinement()`, `DMForestGetMaximumRefinement()`, `DMForestGetInitialRefinement()`, `DMForestGetBaseDM()`, `DMForestGetAdaptivityForest()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages